Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77705 - (nearly) complete lack of documentation for font management
Summary: (nearly) complete lack of documentation for font management
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Johnray Fuller
QA Contact: Tammy Fox
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-12 15:09 UTC by Chris Ricker
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-17 21:51:30 UTC


Attachments (Terms of Use)

Description Chris Ricker 2002-11-12 15:09:53 UTC
Not sure if this would go in the Customization Guide or the Reference Guide, but
installation of new fonts is not at all well-documented.

Currently, the RG contains roughly one paragraph which sorta describes
installing fonts for xfs.  It's so vague as to be useless, though.  See
docs/RH-DOCS/rhl-rg-en-8.0/s1-x-fonts.html for what it has currently.

What's needed is a discussion of the two font subsystems (Xft, like used by
GNOME 2; xfs, like used by GNOME 1.x apps) and how they're configured.  Ideally,
this would include examples of installing common font types (TrueType;
Postscript with binary catalog files; Postscript with ascii catalog files;
Postscript w/o any pregenerated catalog files).  Now that Red Hat Linux is
starting to be used as a desktop, it really needs more documentation of the
things people have to do with their desktops (like install gobs of fonts)

Comment 1 A tech 2002-11-13 02:32:41 UTC
There is an excellent explanation of the new fontconfig system by Mike Harris
(his postings on a lot of things have been helpful) on the psyche list beginning
here: https://listman.redhat.com/pipermail/psyche-list/2002-November/005503.html
some of the comments should be lifted verbatim..

Moreover, there not only needs to be more documentation on installing system
fonts, but some pointers to how different apps install and/or access fonts i.e.
Open Office, Mozilla. 

Thanks



Comment 2 Bob Cochran 2002-11-13 03:00:30 UTC
I just now carefully read Mike's superb description of Xft and Xft2. This is
really high quality documentation that a user can read and understand and
accept. I further propose that you have Mike do an extensive write up of this
sort to be included as an addendum to the release notes of every future version
of Red Hat.It is lucid writing like this, modified to add specific details about
how to do common and not so common userland things, that will help advance
Linux. --Bob Cochran

Comment 3 Tammy Fox 2002-11-15 01:23:56 UTC
This information probably goes better in the RG and goes along with bug #74952.

Comment 4 Johnray Fuller 2003-03-17 21:51:30 UTC
This has been addressed in the latest version of the RG.

Thank you for bringing this to my attention.

Johnray


Note You need to log in before you can comment on or make changes to this bug.